%define	name	nautilus-pyextensions
%define	version	1.1

Summary:        Handler of the Nautilus Python Extensions
Summary(ja):    Nautilus Python Extensions のハンドラ
Name:		%{name}
Version:	%{version}
Release:	1%{?_dist_release}
Group:          Applications/Accessories
License:        GPLv2+
URL:            http://open.vitaminap.it/en/nautilus_pyextensions.htm
Source:         http://open.vitaminap.it/software/%{name}-%{version}.tar.gz
Patch0:         fixed_icon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  desktop-file-utils
BuildRequires:  python-devel python-setuptools
BuildArch:      noarch

Requires:  	nautilus-python
Requires:       pygtk2
Requires:       audacious
Requires:       meld
Requires:       gksu
Requires:       zenity


%description
A Graphical Handler, Written in Python and PyGtk,
of the Nautilus File Manager Python Extensions.

%description -l ja
Python と PyGtk で書かれた、Nautilus ファイルマネージャ
Python Extensions のグラフィカルハンドラ。

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
chmod +x setup.py
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
#mkdir -p $RPM_BUILD_ROOT/%{_bindir}
#install -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}

#mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
#cp -af default-pyextensions $RPM_BUILD_ROOT/%{_datadir}/%{name}
#cp -af glade $RPM_BUILD_ROOT/%{_datadir}/%{name}
#cp -af modules $RPM_BUILD_ROOT/%{_datadir}/%{name}

#mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/scalable/apps
#install -m 644 glade/%{name}.svg $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/scalable/apps

#mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
#install -m 755 linux/%{name}.desktop $RPM_BUILD_ROOT/%{_datadir}/applications

%{__python} setup.py install --skip-build --prefix $RPM_BUILD_ROOT%{_prefix}

desktop-file-install --vendor="" \
            --add-category="Utility" \
            --dir %{buildroot}%_datadir/applications \
		  %{buildroot}%_datadir/applications/%{name}.desktop

#remove
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/glade/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop
%{_libdir}/python2.?/site-packages/

%changelog
* Sun Jun 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.1-1
- new upstream release
- modified install process
  - use setup.py in source
  - modified %%files
- fixed desktop-file-install --add-category section

* Thu Mar 4 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.6-1
- new upstream release

* Sun Feb 7 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.5-2
- rebuilt with python-2.6.4

* Wed Jan 13 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.5-1
- new upstream release

* Wed Dec 2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.4-1
- new upstream release
- changed name and updated source1

* Thu Nov 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.0.3-1
- initial build for VineSeed

* Fri Aug 21 2009 slick50 <lxgator@gmail.com> 0.6.1-1pclos2009
- initial pkg
